
main > .container {
    /*padding-top: 90px;*/
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 20px;
    /*padding: 90px 15px 20px;*/
}

.footer {
  background-color: #f5f5f5;
  font-size: .9em;
  height: 60px;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

.not-set {
  color: #c55;
  font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
  content: '';
  left: 3px;
  display: inline-block;
  width: 0;
  height: 0;
  border: solid 5px transparent;
  margin: 4px 4px 2px 4px;
  background: transparent;
}

/*
a.asc:after {
  border-bottom: solid 7px #212529;
  border-top-width: 0;
}

a.desc:after {
  border-top: solid 7px #212529;
  border-bottom-width: 0;
}
*/

.grid-view th {
  white-space: nowrap;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
  padding-top: 7px;
  color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
  .nav li > form > button.logout {
    display:block;
    text-align: left;
    width: 100%;
    padding: 10px 0;
  }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
  text-decoration: none;
  color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
  outline: none;
}

.no-x-scrollbar{
  overflow-x: hidden;
}

form div.required label:not(.custom-control-label):not(.not-required):not(.checkbox):not(.has-star):after {
  content:" * ";
  color:red;
}

/*Enyhén áttetsző fekete színű háttér a vezérlőpult elemeinek láblécéhez*/
.transparent-black-bg {
  background-color: rgba(0,0,0,0.15) !important;
}

/*Enyhén áttetsző fekete szövegszín a vezérlőpult elemein lévő ikonokhoz*/
.text-transparent-black {
  color: rgba(0,0,0,0.15) !important;
}

.text-transparent-grey {
  color: rgba(0,0,0,0.1) !important;
}

/*A vezérlőpult elemein lévő ikonok pozíciója - a jobb alsó sarok közelében, a lábléc fölött helyezkedik el*/
.control-panel-icon {
  position: absolute;
  right: 10px;
  bottom: 35px;
}

.wide.tooltip-inner {
  width: 400px;
  max-width: 70%;
}


.rotate-45 {
  /*filter: progid: DXImageTransform.Microsoft.BasicImage(rotation=0.5);*/
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  display: inline-block;
}

.rotate--45 {
  /*filter: progid: DXImageTransform.Microsoft.BasicImage(rotation=-0.5);*/
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
  display: inline-block;
}


/* kamera felirat megjelenítés,  pozíciók */

/* kamerakép felirata */
.csc-text-display:not(:empty) {
  position:absolute;
  z-index: 3;
}

.csc-text-display p {
  margin: 0;
  padding: 1px 6px;
}

/* pozíciók */
.pos-1 {
  left:5px;
  bottom:5px;
}

.pos-2 {
  right:5px;
  bottom:5px;
}

.pos-3 {
  left:5px;
  top:5px;
}

.pos-4 {
  right:5px;
  top:5px;
}

.pos-5 {
  /* lent középen */
  bottom: 5px;
  left: 50%;
  transform: translate(-50%, 0);
}

.pos-6 {
  /* fent középen */
  top: 5px;
  left: 50%;

  transform: translate(-50%, 0);
}

.pos-ptz {
  left: 5px;
  top: 60%;
  transform: translate(0, -60%);
}

.csc-ptzFlag {
  position:absolute;
  z-index: 3;
  font-weight: bold;
  letter-spacing: 2px;
  font-size: 18px;
  color: rgb(255,255,0); /* sárga */
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000; /* körvonal */
  /*text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;*/
  /*text-shadow: 2px 2px 4px #000000;*/
}


.pos-noRec {
  left: 5px;
  top: 40%;
  transform: translate(0, -40%);
}

.csc-noRecFlag {
  position:absolute;
  z-index: 3;
  font-weight: bold;
  letter-spacing: 2px;
  font-size: 18px; /* 24px;*/
  text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}



.hidden {
  display: none !important;
}

.bgh {
  background-color: #eee;
}


.close-fullscreen-btn,
.fullscreen-btn {
  margin:0;
  padding:0;
  border: none;
  background: transparent;
  height:38px;
  font-size: 38px;
  line-height: 38px;
}

.fullscreen-btn.small {
  height: 21px;
  font-size: 21px;
  line-height: 21px;
}

/* Több soros badge */
.badge-with-wrap {
  display: inline-block;
  padding: .25em .4em;
  font-size: 75%;
  font-weight: 700;
  /*line-height: 1;*/
  text-align: center;
  /*white-space: nowrap;*/
  vertical-align: baseline;
  border-radius: .25rem;
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.w-33 {
  width: 33.333%
}

.drp-calendar .yearselect {
  float: left !important;
}

.drp-calendar .monthselect {
  float: right !important;
}

.size-20x20 {
  width: 20px;
  height: 20px;

}

/*.wrapper {
  position: relative;
  width: 100%;
  margin: 0 auto !important;
}*/


.content-wrapper {
  position:relative; /* (dyna)grid filter row datepicker widget miatt kell */
}

/* ------------------------- */
/* Begin::GridView formázása */
/* ------------------------- */
.grid-view th {
  padding-top: 0.5rem !important;
  padding-bottom: 0 !important;
}

.grid-view .filters td {
  padding-top: 0.5rem !important;
}

.grid-view .pagination {
  margin-bottom: 0 !important;
}
/* End::GridView formázása */

/* ------------------------ */
/* Begin::Select2 formázása */
/* ------------------------ */
.select2-container {
  /*width: 100% !important;*/
  /*overflow: hidden;*/
  /*max-width: calc(100% - 30px);*/
  /*float: left !important;*/
  /*width: calc(100% - 64px/3 - 8px) !important;*/
}

.select2-search__field {
  width: 100% !important;
}

/* select2 multiple - fix*/
.select2-container--krajee-bs4 .select2-selection--multiple .select2-search--inline {
  float: none !important;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
  display: inline !important;
  white-space:normal !important;
}

/* Helye vagy helytelen kitöltés esetén megjelenő keretszín és ikon formázása */
.is-valid ~ .select2-container .select2-selection, .is-invalid ~ .select2-container .select2-selection {
  padding-right: 2.25rem !important;
  background-repeat: no-repeat;
  background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

/* Helyes kitöltés esetén megjelenő keretszín és ikon formázása */
.is-valid ~ .select2-container .select2-selection {
  border-color: #28a745;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
}

/* Helytelen kitöltés esetén megjelenő keretszín és ikon formázása */
.is-invalid ~ .select2-container .select2-selection {
  border-color: #dc3545;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
}

/* Helyes vagy helytelen kitöltés esetén megjelenő ikon pozicionálása - egy kiválasztható érték esetén */
.select2-container .select2-selection--single {
  background-position: right calc(1.375em + .1875rem) center;
}

/* Helyes vagy helytelen kitöltés esetén megjelenő ikon pozicionálása - több kiválasztható érték esetén */
.select2-container .select2-selection--multiple {
  background-position: right calc(.375em + .1875rem) center;
}
/* End::Select2 formázása */

.info-icon-position {
  float: right;
  padding-top: 7px;
}

.input-position {
  float: left !important;
  width: calc(100% - 64px/3 - 8px) !important;
}

/*:not(td) .input-group {
  float: left !important;
  width: calc(100% - 64px/3 - 8px) !important;
}*/

.invalid-feedback {
  float: left;
}

/*.main-sidebar {
  z-index: 1036 !important;
}*/

.content-header{
  position: -webkit-sticky; /* Safari */
  position: sticky; /* fixed */
  top: 56px;
  width:100%;
  /*z-index: 100;*/
  z-index: 1036;
}

.popover {
  z-index: 1001 !important;
}

.slider .tooltip {
  z-index: 1000;
}

.bg-sdred {
    background-color: #d50513 !important;
}

.bg-sdred2 {
    background-color: #c32a24 !important;
}

.bg-light-2 {
    background-color: #efefef;
}

.color-sdreg {
    color: #d50513 !important;
}

.border-grey {
    border-color: #bbb !important;
}

.col-form-label {
    font-weight: 700;
}

.reg-hint-block {
  font-size: 0.8rem;
  color: #777;
  margin-bottom: 10px;
}

/*
.bg-danger-light {
    background-color: #f1aeb5 !important;
}

.bg-warning-light {
    background-color: #ffe69c !important;
}
*/

.text-danger-light {
   color: #f5c6cb !important;  
}

.text-warning-light {
    color: #ffeeba !important;
}


.table-legend-btn {
    all: unset; /* Removes all default button styles */
    cursor: pointer; /* Keeps it clickable */
    color: inherit; /* Matches surrounding text color */
    font-size: inherit; /* Matches text size */
}

.table-legend-btn:hover {
    background-color: #ddd;
}


.border-dotted {
    border-style: dotted !important;
}


#upper-pager-container .pagination {
    margin-bottom: 0px !important;
}